Skip to main content
POST
/
pipeline
/
{pipeline_id}
/
sink
Add a sink to a pipeline
curl --request POST \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/sink \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_config": {},
  "deploy_type": "saas",
  "title": "<string>",
  "description": "<string>",
  "inputs": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required

Body

application/json
type
enum<string>
required
Available options:
mezmo,
mezmo-archive,
http,
cloudwatch-logs,
cloudwatch-metrics,
sqs,
notification-channel,
azure-blob-storage,
kinesis-firehose,
kinesis-streams,
elasticsearch,
gcp-cloud-monitoring,
gcp-cloud-storage,
gcp-cloud-operations,
gcp-cloud-pubsub,
honeycomb-logs,
indexed-search,
kafka,
loki,
new-relic,
prometheus-remote-write,
pulsar,
redis,
splunk-hec-logs,
sumo-logic-logs,
sumo-logic-metrics,
vector,
s3,
blackhole,
datadog-logs,
datadog-metrics,
clickhouse,
opentelemetry
user_config
object
required
deploy_type
enum<string>
default:saas
Available options:
saas,
local
title
string | null
Required string length: 1 - 512
Pattern: ^[^<>"]+$
description
string | null
Minimum string length: 1
Pattern: ^[^<>"]+$
inputs
string[]

A list of inputs for the given sink. Typically this is empty when creating a new sink via the UI, but is leveraged by the terraform provider when managing pipeline state.

Response

200

Default Response